net/snmptt - The NetBSD Packages Collection

SNMP trap handler written in Perl

SNMPTT (SNMP Trap Translator) is an SNMP trap handler written in Perl for
use with the Net-SNMP / UCD-SNMP snmptrapd program (www.net-snmp.org).
SNMPTT supports Linux, Unix and Windows.

Snmptt can log to any of the following destinations: text log, syslog,
NT Event log or a SQL database. External programs can also be run to pass
the translated trap to an email client, paging software, Nagios etc.

In addition to variable substitution, SNMPTT allows complex configurations
allowing:

    * the ability to accept or reject a trap based on the host name,
      ip address, network range, or variable values inside of the trap
      enterprise variables
    * execute external programs to send pages, emails etc
    * perform regular expression search and replace on the translated message
      such as translating the variable value "Building alarm 4" to
      "Moisture detection alarm"

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Config-IniFiles textproc/p5-Text-Balanced databases/p5-DBI databases/p5-DBD-ODBC lang/perl5 net/net-snmp net/net-snmp

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfsnmptt-1.4.2.tgz
NetBSD 8.0earmv7hfsnmptt-1.4.2.tgz
NetBSD 8.0i386snmptt-1.3nb13.tgz
NetBSD 8.0i386snmptt-1.4.2.tgz
NetBSD 8.0i386snmptt-1.4.2.tgz
NetBSD 8.0powerpcsnmptt-1.3nb13.tgz
NetBSD 8.0powerpcsnmptt-1.4.2.tgz
NetBSD 8.0powerpcsnmptt-1.4.2.tgz
NetBSD 8.0powerpcsnmptt-1.4.2.tgz
NetBSD 8.0x86_64snmptt-1.4.2.tgz
NetBSD 8.0x86_64snmptt-1.3nb13.tgz
NetBSD 8.0x86_64snmptt-1.4.2.tgz
NetBSD 9.0aarch64snmptt-1.4.2.tgz
NetBSD 9.0aarch64snmptt-1.3nb13.tgz
NetBSD 9.0aarch64snmptt-1.4.2.tgz
NetBSD 9.0alphasnmptt-1.4.2.tgz
NetBSD 9.0alphasnmptt-1.3nb13.tgz
NetBSD 9.0alphasnmptt-1.4.2.tgz
NetBSD 9.0earmv6hfsnmptt-1.4.2.tgz
NetBSD 9.0earmv6hfsnmptt-1.3nb13.tgz
NetBSD 9.0earmv6hfsnmptt-1.4.2.tgz
NetBSD 9.0earmv6hfsnmptt-1.4.2.tgz
NetBSD 9.0earmv7hfsnmptt-1.4.2.tgz
NetBSD 9.0earmv7hfsnmptt-1.3nb13.tgz
NetBSD 9.0earmv7hfsnmptt-1.4.2.tgz
NetBSD 9.0earmv7hfsnmptt-1.4.2.tgz
NetBSD 9.0earmv7hfsnmptt-1.4.2.tgz
NetBSD 9.0i386snmptt-1.3nb13.tgz
NetBSD 9.0i386snmptt-1.4.2.tgz
NetBSD 9.0i386snmptt-1.4.2.tgz
NetBSD 9.0mips64ebsnmptt-1.4.2.tgz
NetBSD 9.0mips64ebsnmptt-1.3nb13.tgz
NetBSD 9.0mips64ebsnmptt-1.4.2.tgz
NetBSD 9.0powerpcsnmptt-1.4.2.tgz
NetBSD 9.0powerpcsnmptt-1.3nb13.tgz
NetBSD 9.0powerpcsnmptt-1.4.2.tgz
NetBSD 9.0powerpcsnmptt-1.4.2.tgz
NetBSD 9.0sparc64snmptt-1.4.2.tgz
NetBSD 9.0sparc64snmptt-1.3nb13.tgz
NetBSD 9.0sparc64snmptt-1.4.2.tgz
NetBSD 9.0sparcsnmptt-1.4.2.tgz
NetBSD 9.0x86_64snmptt-1.4.2.tgz
NetBSD 9.0x86_64snmptt-1.4.2.tgz
NetBSD 9.0x86_64snmptt-1.4.2.tgz
NetBSD 9.0x86_64snmptt-1.4.2.tgz
NetBSD 9.0x86_64snmptt-1.3nb13.tgz
NetBSD 9.0x86_64snmptt-1.4.2.tgz
NetBSD 9.0x86_64snmptt-1.4.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.